unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, CnLangStorage, CnHashLangStorage, CnLangTranslator, CnClasses,
  CnLangMgr, StdCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    RadioButton1: TRadioButton;
    Button1: TButton;
    Label2: TLabel;
    Edit1: TEdit;
    Button2: TButton;
    lm1: TCnLangManager;
    lt1: TCnLangTranslator;
    lf1: TCnHashLangFileStorage;
    Label3: TLabel;
    Edit2: TEdit;
    RadioButton2: TRadioButton;
    procedure Button2Click(Sender: TObject);
    procedure RadioButton1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure RadioButton2Click(Sender: TObject);

  private
    { Private declarations }
    procedure LanguageChanged(Sender: TObject);
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses Unit2, Unit4, Unit3;

{$R *.dfm}

var
  sText : string = 'ַ';

procedure TForm1.Button1Click(Sender: TObject);
begin
  ShowMessage(CnLanguageManager.TranslateString(stext));
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  if Form2 = nil then
    form2 := Tform2.create(application);
  form2.show;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  CnLanguageManager.AddChangeNotifier(LanguageChanged);
  RegisterTranslateString(@sText, 'sText');
  RegisterTranslateResourceString(@exitApp, 'ExitApp');
  Edit2.Text := sText;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  CnLanguageManager.RemoveChangeNotifier(LanguageChanged);
end;

procedure TForm1.RadioButton1Click(Sender: TObject);
begin
  lm1.CurrentLanguageIndex := 0;
end;

procedure TForm1.RadioButton2Click(Sender: TObject);
begin
  lm1.CurrentLanguageIndex := 1;
end;

procedure TForm1.LanguageChanged(Sender: TObject);
begin
  CnLanguageManager.TranslateString(stext);
  //Edit1.Text := sText;
end;

end.
